//Arduino to RB Communications Project
//Program_01.Bas
Port = 3   //change this as per your system
Main:
   setcommport Port,br115200    //init the serial port
   data bname; "&Turn On", "Turn &Off"  //button captions
   data LEDColor;white,yellow           //LED unlit/lit colors
   addbutton bname[0],100,100,100       //create the button
   old_Pb = 1 \ new_Pb = 0               
   circleWH 130,145,30,30,0,LEDColor[0] //simulated LED
   while true
      btn = lastbutton()                //get button status
      if btn == bname[0]                //if turn on
         renamebutton btn,bname[1]      //rename button 
         new_Pb = 1                     
      elseif btn == bname[1]            //if turn off
         renamebutton btn,bname[0]      //rename button
         new_Pb = 0
      endif       
      if new_Pb != old_Pb               //only send status if changed
         SerialOut new_Pb \ old_Pb = new_Pb       //send it
         circleWH 220,98,30,30,0,LEDColor[new_Pb] //display LED as it should
      endif                                       //be on the Arduino side
      CheckSerBuffer n                   //check serial receive buffer
      if n                               //if there data from the Arduino?
         Serin x                         //read the buffer  
         x = (GetStrByte(x,1) > 0)       //extract the byte
         circleWH 130,145,30,30,0,LEDColor[x] //simulate an LED according to 
      endif                                   //button on the Arduino side
   wend
End
