//Arduino to RB Communications Project
//Program_01.Pde
#define LED_Pin 13    //led pin
#define Pb_Pin 2      //pushbutton pin
int new_Pb, old_Pb = HIGH;
//---------------------------------
void setup() 
{
  Serial.begin(115200);     //init serial comms
  pinMode(LED_Pin, OUTPUT); 
  pinMode(Pb_Pin,  INPUT);
}
//---------------------------------
void loop() 
{
  if(Serial.available() > 0)   //if byte available
      digitalWrite(LED_Pin,Serial.read()); //Set LED accordingly
  new_Pb = digitalRead(Pb_Pin); //read button
  if (new_Pb != old_Pb)  //if state changed
  {
      old_Pb = new_Pb;
      Serial.write(!new_Pb);   //send the status only if changed
                               //but invert to make active high
      delay(100);  //delay to allow for bounce
  }   
}

