//Arduino to RB Communications Project
//Program_02.Pde
#define LED_Pin 9    //led pin can do PWM
#define Pot_Pin 0    //Pot on Analog A0 pin
int new_Pot, old_Pot = -1;
//---------------------------------
void setup() 
{
  Serial.begin(115200);     //init serial comms
}
//---------------------------------
void loop() 
{
  if(Serial.available() > 0)   //if byte available
      analogWrite(LED_Pin,Serial.read()); //Set LED brightness accordingly
  new_Pot = analogRead(Pot_Pin); //read pot level
  if (new_Pot != old_Pot)  //if level change
  {
      old_Pot = new_Pot;
      Serial.write(new_Pot >> 8);  //send MSByte
      Serial.write(new_Pot & 0xFF); //send LSByte
      delay(100);  //delay to allow for bounce
  }   
}

